FST.INPUT_TYPE (Lucene 3.6.2 API)
Keywords: org.apache.lucene.util.fst.FST.INPUT_TYPE class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.util.fst
Enum FST.INPUT_TYPE

    java.lang.Object
      java.lang.Enum<FST.INPUT_TYPE>
          org.apache.lucene.util.fst.FST.INPUT_TYPE

All Implemented Interfaces:
  Serializable, Comparable<FST.INPUT_TYPE>

Enclosing class:
  FST<T>

    public static enum FST.INPUT_TYPE

extends Enum<FST.INPUT_TYPE>

Specifies allowed range of each int input label for this FST.

Enum Constant Summary
`BYTE1`
`BYTE2`
`BYTE4`

Method Summary
`static FST.INPUT_TYPE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FST.INPUT_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BYTE1

    public static final FST.INPUT_TYPE BYTE1

### BYTE2

    public static final FST.INPUT_TYPE BYTE2

### BYTE4

    public static final FST.INPUT_TYPE BYTE4

Method Detail

### values

    public static final FST.INPUT_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FST.INPUT_TYPE c : FST.INPUT_TYPE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FST.INPUT_TYPE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD